﻿using System;

using Android.App;
using Android.Content;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Syncfusion.SfChart.XForms.Droid;
using Com.Syncfusion.Charts.Enums;

namespace TrackballTest.Droid
{
    [Activity(Label = "TrackballTest.Droid", Icon = "@drawable/icon", Theme = "@style/MyTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        Syncfusion.SfChart.XForms.SfChart formsChart;
        SfChart nativeChart;
        protected override void OnCreate(Bundle bundle)
        {
            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource = Resource.Layout.Toolbar;

            base.OnCreate(bundle);

            global::Xamarin.Forms.Forms.Init(this, bundle);

            LoadApplication(new App());

            Xamarin.Forms.Forms.ViewInitialized += Forms_ViewInitialized;
        }

        private void Forms_ViewInitialized(object sender, Xamarin.Forms.ViewInitializedEventArgs e)
        {
            if (e.NativeView is SfChart)
            {
                formsChart = e.View as Syncfusion.SfChart.XForms.SfChart;
                nativeChart = e.NativeView as SfChart;

                if (nativeChart is SfChart)
                {
                    for (int i = 0; i < nativeChart.Behaviors.Size(); i++)
                    {
                        ChartBehavior behavior = nativeChart.Behaviors.Get(i) as ChartBehavior;
                        if(behavior is ChartTrackballBehavior)
                        {
                            (behavior as ChartTrackballBehavior).LabelDisplayMode = TrackballLabelDisplayMode.GroupAllPoints;
                        }
                    }
                }
            }
        }
    }
}
