﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using UIKit;
using Syncfusion.SfChart.iOS;
using CoreGraphics;
using Syncfusion.SfChart.XForms.iOS;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using Xamarin.Forms;

namespace TrackballTest.iOS
{
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        Syncfusion.SfChart.XForms.SfChart formsChart;
        SFChart nativeChart;
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            global::Xamarin.Forms.Forms.Init();

            new Syncfusion.SfChart.XForms.iOS.Renderers.SfChartRenderer();

            LoadApplication(new App());


            Xamarin.Forms.Forms.ViewInitialized += Forms_ViewInitialized;

            return base.FinishedLaunching(app, options);
        }

        private void Forms_ViewInitialized(object sender, ViewInitializedEventArgs e)
        {
            if (e.NativeView is SFChart)
            {
                formsChart = e.View as Syncfusion.SfChart.XForms.SfChart;
                nativeChart = e.NativeView as SFChart;

                if (nativeChart is SFChart)
                {
                    for (nuint i = 0; i < nativeChart.Behaviors.Count; i++)
                    {
                        SFChartBehavior behavior = nativeChart.Behaviors.GetItem<SFChartBehavior>(i);
                        if (behavior is ChartTrackballBehaviorHelper)
                        {
                            (behavior as ChartTrackballBehaviorHelper).LabelDisplayMode = SFChartTrackballLabelDisplayMode.GroupAllPoints;
                        }
                    }
                }
            }
        }
    }
}
